.charin-menu {
  color-scheme: dark;
}
body {
    margin: 0px;
    padding: 0px;
}
button {
    cursor: pointer;
    margin: 9px;
    font-size:14px;
    font-family: inherit;
    color:#FFF;
    border:none;
    font-weight: bold;
    padding: 8px 17px;
    background-color: #222e46;
    transition: background-color 0.1s;
    border-radius: 20px;
}
button:hover {
    background-color: #2b3a59;
}
.charin-header {
    height: 50px;
    overflow: hidden;
    background-color: #111c32;
    color: #FFF;
    position: relative;
    font-family: monospace;
    padding-right: 91px;
    user-select: none;
    box-shadow: 0px 0px 13px -2px #000;
    position: relative;
    z-index: 999;
}
.charin-header * {
    display: inline-block;
    vertical-align: top;
}
.charin-header h1 {
    margin: 10px;
    font-size:26px;
}
.charin-header > button {
    float: right;
    margin-left: 7px;
}
.charin-header img {
    position: absolute;
    top: 0px;
    right: 0px;
    height: 100%;
}
.charin-header-minimized ~ .charin-menu {
    height: 0px;
    opacity: 0;
}
/*oof*/
#formatbutton {
    opacity: 0;
    pointer-events: none;
    transition: all 0.1s
}
.charin-header-minimized #formatbutton {
    opacity: 1;
    pointer-events: all;
}
.charin-menu {
    position: absolute;
    top: 50px;
    left: 0px;
    width: 100%;
    height: calc(100vh - 50px);
    z-index: 998;
    background-color: #0c1425;
    transition: all 0.3s;
    overflow: hidden;
    opacity: 1;
    font-family: monospace;
    color: #FFF;
    overflow-y: scroll;
}
.charin-submenu {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.charin-menu > .charin-submenu {
    height: calc(100% - 280px);
    max-width: 1280px;
    margin: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    padding: 0px 50px;
}
.charin-submenu .charin-submenu {
    width: 100%;
    margin: 0px;
    height: 100%;
    flex-direction: row;
}
.charin-submenu button {
    width: 100%;
    margin: 0px;
    height: 100%;
    font-size: 42px;
}
.charin-libs {
    text-align: center;
    margin: 0px 10px;
}
.charin-libs h3 {
    font-size:28px;
    margin-top: 12px;
    margin-bottom: 19px;
}
.charin-libs h4 {
    font-size: 17px;
    margin-top: 0px;
    margin-bottom: 12px;
}
.charin-libs a {
    color: #1251cf;
}
.charin-libs > a {
    font-size:44px;
    margin: 0px 20px;
}
.charin-editor {
  display: flex;
  flex-direction: row;
}
.charin-editor > *:not([data-rz-handle]) {
  flex: 1;
  height:calc(100vh - 50px);
  overflow: hidden;
  position: relative;
}
.charin-texted {
    height: 100%;
}
.charin-wysiwyg {
    margin: 0px !important;
}
.charin-hint {
    position: absolute;
    top: 37px;
    left: 10px;
    width: calc(100% - 20px);
    border-radius: 10px;
    font-family: monospace;
    transition: all 0.2s;
    z-index: 997;
    color: #7797d7;
    text-align: center;
    font-size: 28px;
    opacity: 0;
    pointer-events: none;
    user-select: none;
    font-weight: bold;
}
.charin-hint a {
    color: #1251cf;
}
.charin-hint-active {
    pointer-events: all;
    opacity: 1;
}
.charin-rendererror {
    pointer-events: none;
    position: absolute;
    bottom: 36px;
    left: 10px;
    width: calc(100% - 20px);
    background-color: #B61010;
    border-radius: 10px;
    font-family: monospace;
    opacity: 0;
    transition: all 0.2s;
}
.charin-rendererror-active {
    pointer-events: all;
    bottom: 46px;
    opacity: 1;
}
.charin-rendererror h2 {
    text-align: center;
    color: #FFF;
    user-select: none;
}
.charin-rendererror p {
    font-size: 16px;
    text-align: center;
    background-color: #FFF;
    margin:10px;
    padding: 10px;
    border-radius: 10px;
}
.charin-wysiwyg .sidebar {
    display: none !important;
}
[data-rz-handle] {
    flex: 0 0 6px;
    background-color: rgba(47, 47, 52, 0.7);
}

[data-rz-handle] div {
    width: 6px;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 99999999999 !important;
}